#	Makefile.m4	1.1	89/02/19
#
# Copyright (c) 1988 by Sam Leffler.
# All rights reserved.
#
# This file is provided for unrestricted use provided that this
# legend is included on all tape media and as a part of the
# software program in whole or part.  Users may copy, modify or
# distribute this file at will.
#
include(CONF/target.m4)dnl
STAMP(`#', `TIFF Library Tools', target, config, version,
    ifdef(`targetopts', targetopts) ifdef(`floatopts', floatopts))
VPATH=	.:..
DESTDIR=
#
AR=	ARCHIVER
RANLIB=	RANLIBER
sinclude(conf/target.m4)dnl
include(CONF/config.m4)dnl
sinclude(conf/config.m4)dnl
undefine(`include')dnl
IPATH=	-I../../libtiff ifdef(`MACHINCS', MACHINCS)
COPTS=	
CFLAGS=	VERSOPTS MACHOPTS ${COPTS} ${IPATH}
#
LIBTIFF=../../libtiff/TARGET/libtiff.ARSUF
LIBS=	${LIBTIFF} ifdef(`MACHLIBS', MACHLIBS)
SRCS=	tiffinfo.c tiffcmp.c tiffcp.c picio2tiff.c \
	hist.c median.c ifdef(`MACHSRCS', MACHSRCS)
ALL=	tiffinfo tiffcmp tiffcp median ifdef(`MACHALL', MACHALL)

SUFFIXDEPEND(`#')

all:	 ${ALL}

tiffinfo: tiffinfo.c ${LIBTIFF}
	${CC} -o tiffinfo ${CFLAGS} tiffinfo.c ${LIBS}
tiffcmp:tiffcmp.c ${LIBTIFF}
	${CC} -o tiffcmp ${CFLAGS} tiffcmp.c ${LIBS}
tiffcp:	tiffcp.c ${LIBTIFF}
	${CC} -o tiffcp ${CFLAGS} tiffcp.c ${LIBS}
picio2tiff: picio2tiff.c ${LIBTIFF}
	${CC} -o picio2tiff ${CFLAGS} -I${PIXAR}/include picio2tiff.c \
	    ${PIXAR}/host/lib/libpicio.ARSUF ${LIBS}
ifdef(`MACHDEPEND', MACHDEPEND(`#'))
hist:	hist.c ${LIBTIFF}
	${CC} -o hist ${CFLAGS} hist.c ${LIBS}
median:	median.c ${LIBTIFF}
	${CC} -o median ${CFLAGS} median.c ${LIBS}
pixargt: pixargt.c ${LIBTIFF}
	${CC} -o pixargt ${CFLAGS} -I${PIXAR}/include pixargt.c \
	    ${PIXAR}/host/lib/libchad.ARSUF \
	    ${PIXAR}/host/lib/libpixar.ARSUF \
	    ${PIXAR}/host/lib/libport.ARSUF \
	    ${LIBS}

install: all installh
	-for i in ${ALL}; do \
		${INSTALL} -c -m 644 $$i ${DESTDIR}/${REYES}/bin/$$i; \
	done

installh:

clean:
	rm -f ${ALL} hist ${OBJS} core a.out
 
tags:	${SRCS}
	${CTAGS} ${SRCS}

depend: ${SRCS}
	MAKEDEPEND(`#')
